Creates a user
curl --request POST \
--url https://api.example.com/v2/databases/{database}/users \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"password": "<string>",
"name": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"picture": "<string>"
}
'import requests
url = "https://api.example.com/v2/databases/{database}/users"
payload = {
"email": "<string>",
"password": "<string>",
"name": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"picture": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
password: '<string>',
name: '<string>',
givenName: '<string>',
familyName: '<string>',
picture: '<string>'
})
};
fetch('https://api.example.com/v2/databases/{database}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"tenants": [
"<string>"
],
"email": "<string>",
"name": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"picture": "<string>",
"emailVerified": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}"<string>"This response has no body data.users
Creates a user
Adds a brand new user to the database
POST
/
v2
/
databases
/
{database}
/
users
Creates a user
Path Parameters
Query Parameters
A tenant id to add the user to when they are created
A tenant name to create, then the user to when they are created
Body
application/json
Was this page helpful?
⌘I